> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeycomb.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Boards

> Retrieves a list of all non-secret Boards within an environment. **Note**: For Honeycomb Classic users, all boards within Classic will be returned.




## OpenAPI

````yaml api/openapi-public.yaml get /1/boards
openapi: 3.1.0
info:
  title: Honeycomb API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: support@honeycomb.io
  description: >
    The API allows programmatic management of many resources within Honeycomb.


    Please report any discrepancies with actual API behavior in <a
    href="https://docs.honeycomb.io/troubleshoot/community/">Pollinators
    Slack</a> or to <a href="https://support.honeycomb.io/">Honeycomb
    Support</a>.
servers:
  - url: https://api.honeycomb.io
  - url: https://api.eu1.honeycomb.io
security: []
tags:
  - name: Auth
    description: >
      API Keys have various scopes permissions and belong to a specific Team or
      Environment.


      Any valid Honeycomb ingest or configuration API Key will work with this
      endpoint. Learn more about [API
      keys](https://docs.honeycomb.io/get-started/best-practices/api-keys).


      These endpoints can be used to validate authentication for a key, to
      determine what authorizations have been granted

      to a key, and to determine the Team and Environment that a key belongs to.
  - name: Boards
    description: >
      Boards are a place to pin and save useful queries/graphs, SLO panels, text
      panels, and views you want to retain for later reuse and reference.


      Boards can contain multiple panel types:

      - **Query panels**: Display saved queries/graphs

      - **SLO panels**: Monitor Service Level Objectives

      - **Text panels**: Add markdown-formatted text and documentation

      - **Views**: Filtered perspectives of board data (limited to 50 views per
      board)


      Boards also support preset filters (limited to 5 per board) to apply
      consistent filtering across the board.


      This API allows you to list, create, update, and delete boards, as well as
      manage board views.


      ## Authorization


      The API key must have the **Manage Public Boards** permission. Learn more
      about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Burn Alerts
    description: >
      This feature is available as part of the [Honeycomb Pro and Enterprise
      plans](https://www.honeycomb.io/pricing/).


      Burn Alerts notify you when issues impact your SLO budget. Learn more
      about [Burn Alerts
      here](https://docs.honeycomb.io/notify/alert/slos/monitor/).


      This API allows you to list, create, update, and delete burn alerts.


      ## Authorization


      The API key must have the **Manage SLOs** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Calculated Fields
    description: >
      Calculated Fields (also called Derived Columns) allow you to run queries
      based on the value of an expression that is calculated from the fields in
      an event.


      This API allows you to list, create, update, and delete Calculated Fields
      in a dataset or across a whole environment, paralleling the behavior of
      the Schema tab within a Dataset's or Environment's Settings UI.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Columns
    description: >
      Columns are fields in the events you send to Honeycomb.


      This API allows you to list, create, update, and delete columns in a
      dataset.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Datasets
    description: >
      A Dataset represents a collection of related events that come from the
      same source, or are related to the same source.


      This API allows you to list, create, and update datasets.


      ## Authorization


      The API key must have the **Create Datasets** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Dataset Definitions
    description: >
      Dataset definitions describe the fields with special meaning in the
      Dataset.


      Refer to the [Dataset
      Definitions](https://docs.honeycomb.io/configure/datasets/definitions/)
      documentation for more information.


      **Honeycomb automatically creates these Dataset definition fields when the
      Dataset is created.**

      Manual creation of Dataset definitions is **not** needed.


      ## Authorization


      The API key must have the **Create Datasets** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Events
    description: >
      The Events API endpoints are the lowest-level way to send Events to
      Honeycomb. **This should be your last resort!**




      If unsure where to start when instrumenting an application, read about how
      to [Send Data to Honeycomb](https://docs.honeycomb.io/send-data/).



      If you are building a tracing or metrics library, we recommend using
      [OpenTelemetry](https://docs.honeycomb.io/send-data/opentelemetry/).


      ## Authorization


      It is recommended that an Ingest API key is used for sending events.


      A Configuration API key will work, and must have the **Send Events**
      permission.

      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Environments
    description: >
      This API allows you to list, create, and update, and delete Environments.


      ## Authorization


      This API requires a Management Key passed via the HTTP Authorization
      header. Join the key ID and secret with a colon, like this:
      `Authorization: Bearer <key ID>:<secret>`.
  - name: Key Management
    description: >
      This API allows you to list, create, update, and delete API Keys for a
      Team.



      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).


      ## Authorization

       This API requires a Management Key passed via the HTTP Authorization header. Join the key ID and secret with a colon, like this: `Authorization: Bearer <key ID>:<secret>`.
  - name: Kinesis Events
    description: >
      The Kinesis Events API endpoints allow Honeycomb to process streaming
      events from Amazon Kinesis.


      Refer to the [Honeycomb AWS
      integrations](https://docs.honeycomb.io/integrations/aws/how-aws-integrations-work/)
      documentation for more information.


      ## Authorization


      It is recommended that an Ingest API key is used for sending events.


      A Configuration API key will work, and must have the **Send Events**
      permission.

      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Markers
    description: >
      Markers indicate points in time on graphs where interesting things happen,
      such as deploys or outages.


      This API allows you to list, create, update, and delete Markers.


      ## Authorization


      The API key must have the **Manage Markers** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Marker Settings
    description: >
      Marker Settings apply to groups of similar Markers.

      For example, "deploys" markers appear with the same color on a graph.


      This API allows you to list, create, update, and delete Marker Settings.


      ## Authorization


      The API key must have the **Manage Markers** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Queries
    description: >
      Queries in Honeycomb are specifications for queries, and are used to
      identify queries in other parts of the API - in particular: boards,
      triggers, and query annotations.


      This API allows you to create and get query objects.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Query Annotations
    description: >
      Query Annotations in Honeycomb allow you to associate names and
      descriptions to queries to add additional information in collaboration
      features.


      This API allows you to list, create, update, and delete Query Annotations.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Query Data
    description: >
      This feature is available as part of the [Honeycomb Enterprise
      plan](https://www.honeycomb.io/pricing/).


      Query Results are the aggregated data from a Query, similar to what is
      displayed in graphs or heatmaps within the Honeycomb UI. Receiving results
      from a Query is a three-step process:


      Create the Query (or Query Spec), which validates that the query
      parameters are valid. Creating a query does not actually run the query to
      get results.

      Run the query asynchronously by creating a Query Result referencing the
      Query’s ID. This returns a Query Result ID.

      Poll the query result endpoint (with the Query Result ID) until the data
      is ready.


      Note that many Query Results can be created from a single Query. This is
      particularly useful when using a relative time_range parameter in the
      Query.

      For example, a Query with `time_range: 7200` and no explicit `start_time`
      or `end_time` can be re-run over and over, with each resulting Query
      Result containing the most recent 2 hours of data.

      This is conceptually similar to clicking Run Query in the Honeycomb UI
      without changing any query parameters.


      **IMPORTANT API RESTRICTIONS:**


      To ensure the stability of Honeycomb systems, we have enabled the
      following API restrictions. These restrictions may change over time.


      * Query Results can only be created for events with timestamps within the
      past 7 days.


      * When creating a Query Result, the time ranges from the Query are
      truncated according to the following rules. For queries with a time range
      of:

          * less than or equal to 6 hours, results are truncated to the nearest 1 minute. For example, a start/end time of 2021-04-22T05:28:12Z will be truncated to 2021-04-22T05:28:00Z.

          * greater than 6 hours and less than or equal to 2 days, results are truncated to the nearest 5 minutes. For example, a start/end time of 2021-04-22T05:28:12Z will be truncated to 2021-04-22T05:25:00Z.

          * greater than 2 days and less than or equal to 7 days, results are truncated to the nearest 30 minutes. For example, a start/end time of 2021-04-22T05:28:12Z will be truncated to 2021-04-22T05:00:00Z.

      * Creating a Query Result is rate limited to 10 requests per minute.
      Status code 429 will be returned when rate limited.


      * Query Results cannot take longer than 10 seconds to run.


      * Creating a Query Result that contains Relational Fields is rate limited
      to 1 request per minute. Status code 429 will be returned when rate
      limited.

        * Query Results with Relational Fields may be more likely to take longer to run.

      * Regardless of whether the `compare_time_offset_seconds` field is
      populated on a query, query run responses will not include comparison
      results.


      ## Authorization


      The API key must have the **Manage Queries and Columns** and **Run
      Queries** permission. Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Recipients
    description: >
      Honeycomb Recipients allow you to define and manage the Recipients that
      will get notified by a Trigger or Burn Alert.


      The types of Recipients supported are: PagerDuty, Email, Webhook,
      Microsoft Teams, and Slack.


      ## Authorization


      The API key must have the **Manage Recipients** permission. Recipients are
      team-wide and NOT environment-specific.

      API Keys with the **Manage Recipients** permission can modify recipients
      used by ALL environments for a given team.


      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Reporting
    description: >
      The Reporting API provides access to historical performance data.


      ## Authorization


      The API key must have the **Manage SLOs** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Service Maps
    description: >
      The Service Maps API endpoints allow you to visualize the relationships
      between your services in Honeycomb.


      This API allows you to create and retrieve service Dependency Requests,
      which are used to generate maps of dependencies between services.


      ## Authorization


      The API key must have the **Read Service Maps** permission. Learn more
      about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: SLOs
    description: >
      This feature is available as part of the [Honeycomb Pro and Enterprise
      plans](https://www.honeycomb.io/pricing).


      Honeycomb SLOs allow you to define and monitor Service Level Objectives
      (SLOs) for your organization.


      This API allows you to list, create, update, and delete SLO objects.


      You can also access historical reporting for your SLOs to analyze
      long-term performance trends. For more information, see [Get SLO
      History](https://api-docs.honeycomb.io/api/reporting/getslohistory)


      ## Authorization


      The API key must have the **Manage SLOs** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Triggers
    description: >
      Triggers let you receive notifications when your data in Honeycomb crosses
      the thresholds that you configure.

      The graph on which to alert is as flexible as a Honeycomb query, which
      helps reduce false positives due to known errors.


      Triggers support both standard event-based datasets and metrics datasets.
      Metrics triggers have additional capabilities

      such as granularity control.

      Learn more in the [Triggers
      documentation](https://docs.honeycomb.io/notify/alert/triggers/).


      This API allows you to list, create, update, and delete Triggers.


      ## Authorization


      The API key must have the **Manage Triggers** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
externalDocs:
  url: https://docs.honeycomb.io
paths:
  /1/boards:
    get:
      tags:
        - Boards
      summary: List All Boards
      description: >
        Retrieves a list of all non-secret Boards within an environment.
        **Note**: For Honeycomb Classic users, all boards within Classic will be
        returned.
      operationId: listBoards
      responses:
        '200':
          description: Success
          headers:
            Ratelimit:
              $ref: '#/components/headers/RateLimit'
            RateLimitPolicy:
              $ref: '#/components/headers/RateLimitPolicy'
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Board'
              examples:
                Mixed Board Types:
                  value:
                    - id: abc123
                      name: Production Monitoring
                      description: Key metrics for production environment
                      type: flexible
                      panels:
                        - type: query
                          query_panel:
                            query_id: ghi9012a
                            query_annotation_id: f5e6d7c8
                          position:
                            x_coordinate: 0
                            y_coordinate: 0
                            height: 6
                            width: 12
                        - type: text
                          text_panel:
                            content: |-
                              # Production Status

                              All systems operational
                          position:
                            x_coordinate: 0
                            y_coordinate: 6
                            height: 2
                            width: 12
                      layout_generation: manual
                      tags:
                        - key: environment
                          value: production
                    - id: def456
                      name: Service Health Dashboard
                      description: SLO monitoring for critical services
                      type: flexible
                      panels:
                        - type: slo
                          slo_panel:
                            slo_id: dF1URaPGL
                        - type: query
                          query_panel:
                            query_id: jkl3456b
                            query_annotation_id: b9c8d7e6
                            dataset: api-logs
                      layout_generation: auto
                      tags:
                        - key: team
                          value: platform
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
        default:
          $ref: '#/components/responses/GenericError'
      security:
        - configuration_key: []
components:
  headers:
    RateLimit:
      description: |
        The (draft07) recommended header from the IETF on rate limiting.
        The value of the header is formatted "limit=X, remaining=Y, reset=Z".
        Where:
          - X is the maximum number of requests allowed in the window
          - Y is the number of requests remaining in the window
          - Z is the number of seconds until the limit resets
      schema:
        type: string
      example: limit=100, remaining=50, reset=60
    RateLimitPolicy:
      description: |
        The (draft07) recommended header from the IETF on rate limiting.
        The value of the header is formatted "X;w=Y".
        Where:
         - X is the maximum number of requests allowed in a window
         - Y is the size of the window in seconds
      schema:
        type: string
      example: 100;w=60
    RetryAfter:
      description: |
        The RFC7231 header used to indicate when a client should retry requests.
      schema:
        type: string
      example: Fri, 22 Mar 2024 18:37:53 GMT
  schemas:
    Board:
      type: object
      required:
        - type
        - name
      properties:
        name:
          type: string
          description: The name of the Board.
          minLength: 1
          maxLength: 255
          example: My Board
        description:
          type: string
          description: A description of the Board.
          minLength: 0
          maxLength: 1024
          example: A board created via the API
        type:
          $ref: '#/components/schemas/BoardType'
        links:
          type: object
          readOnly: true
          properties:
            board_url:
              type: string
              example: >-
                https://ui.honeycomb.io/myteam/environments/myenvironment/board/2NeeaE9bBLd
        id:
          type: string
          readOnly: true
          description: Unique identifier (ID), returned in response bodies.
          example: 2NeeaE9bBLd
        panels:
          type: array
          items:
            $ref: '#/components/schemas/BoardPanel'
        layout_generation:
          type: string
          description: >
            The layout generation mode for the board. When set to "auto", the
            board will be automatically laid out based on the panels. When set
            to "manual", the board will be laid out manually by the user.
          enum:
            - auto
            - manual
          default: manual
          writeOnly: true
        tags:
          type: array
          description: A list of key-value pairs to help identify the Trigger.
          maxItems: 10
          items:
            $ref: '#/components/schemas/Tag'
          example:
            - key: team
              value: blue
        preset_filters:
          description: >
            A list of preset filters to apply to the board. For backwards
            compatibility, if no preset filters are provided, the existing
            preset filters will be preserved. If an empty array is provided, all
            preset filters will be deleted.

            **Note**: Each board is limited to a maximum of 5 preset filters.
            Attempting to create or update a board with more than 5 preset
            filters will result in an error.
          type: array
          maxItems: 5
          items:
            $ref: '#/components/schemas/PresetFilter'
          example:
            - column: app.Service
              alias: Service
    BoardType:
      type: string
      description: The type of the board. Only flexible boards are supported.
      enum:
        - flexible
    BoardPanel:
      type: object
      oneOf:
        - $ref: '#/components/schemas/QueryPanel'
        - $ref: '#/components/schemas/SLOPanel'
        - $ref: '#/components/schemas/TextPanel'
      discriminator:
        propertyName: type
        mapping:
          query:
            $ref: '#/components/schemas/QueryPanel'
          slo:
            $ref: '#/components/schemas/SLOPanel'
          text:
            $ref: '#/components/schemas/TextPanel'
    Tag:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
          description: A key to identify the tag, lowercase letters only.
          maxLength: 32
        value:
          type: string
          description: >-
            A value for the tag, must begin with a lowercase letter, contain
            only alphanumeric characters (all letters lowercase) and special
            characters of `/` and `-` allowed.
          maxLength: 128
    PresetFilter:
      type: object
      required:
        - column
        - alias
      properties:
        column:
          type: string
          description: Original name of the column to alias.
        alias:
          type: string
          description: The alias of the preset filter. Maximum length is 50 characters.
    Error:
      x-tags:
        - Errors
      type: object
      description: A legacy error, containing only a textual description.
      properties:
        error:
          type: string
          readOnly: true
    JSONAPIError:
      x-tags:
        - Errors
      type: object
      description: A JSONAPI-formatted error message.
      properties:
        errors:
          type: array
          items:
            type: object
            readOnly: true
            required:
              - id
              - code
            properties:
              id:
                type: string
                readOnly: false
              status:
                type: string
              code:
                type: string
                readOnly: true
              title:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                readOnly: true
                properties:
                  pointer:
                    type: string
                    readOnly: true
                  header:
                    type: string
                    readOnly: true
                  parameter:
                    type: string
                    readOnly: true
    DetailedError:
      x-tags:
        - Errors
      description: An RFC7807 'Problem Detail' formatted error message.
      type: object
      required:
        - error
        - status
        - type
        - title
      properties:
        error:
          type: string
          readOnly: true
          default: something went wrong!
        status:
          type: number
          readOnly: true
          description: The HTTP status code of the error.
        type:
          type: string
          readOnly: true
          description: Type is a URI used to uniquely identify the type of error.
        title:
          type: string
          readOnly: true
          description: >-
            Title is a human-readable summary that explains the `type` of the
            problem.
        detail:
          type: string
          readOnly: true
          description: The general, human-readable error message.
        instance:
          type: string
          readOnly: true
          description: The unique identifier (ID) for this specific error.
    QueryPanel:
      title: Query Panel
      type: object
      required:
        - query_panel
        - type
      properties:
        type:
          const: query
          description: The type of the board panel.
        position:
          $ref: '#/components/schemas/BoardPanelPosition'
        query_panel:
          type: object
          required:
            - query_id
            - query_annotation_id
          properties:
            query_id:
              type: string
              description: >
                The ID of the Query to display on the board. The Query must be
                in the same environment as the board.
              example: abc1234e
            query_style:
              type: string
              description: How the query should be displayed on the board.
              enum:
                - graph
                - table
                - combo
              default: graph
            query_annotation_id:
              type: string
              description: >
                The ID of a Query Annotation that provides a name and
                description for the Query. The Query Annotation must apply to
                the `query_id` or `query` specified.
              example: e4c24a35
            dataset:
              type: string
              readOnly: true
              description: >
                The dataset name to which the query is scoped. Empty for
                environment-wide queries.
              example: My Dataset
            visualization_settings:
              $ref: '#/components/schemas/BoardQueryVisualizationSettings'
    SLOPanel:
      title: SLO Panel
      type: object
      required:
        - slo_panel
        - type
      properties:
        type:
          const: slo
          description: The type of the board panel.
        position:
          $ref: '#/components/schemas/BoardPanelPosition'
        slo_panel:
          type: object
          properties:
            slo_id:
              type: string
              description: >
                The ID of the SLO to display on the board. The SLO must be in
                the same environment as the board.
              example: BGfyxhFto
    TextPanel:
      title: Text Panel
      type: object
      required:
        - text_panel
        - type
      properties:
        type:
          const: text
          description: The type of the board panel.
        position:
          $ref: '#/components/schemas/BoardPanelPosition'
        text_panel:
          type: object
          required:
            - content
          properties:
            content:
              type: string
              maxLength: 10000
              description: >
                The text content to display on the board panel. This field
                supports Markdown formatting.
              example: '# This is a text panel with some content'
    BoardPanelPosition:
      type: object
      description: >
        The position of the panel within the layout. When X and Y coordinates
        are not specified for any of the panels, the layout will be generated
        automatically.
      properties:
        x_coordinate:
          type: integer
          description: The x-axis origin point for placing the panel within the layout.
          minimum: 0
        y_coordinate:
          type: integer
          description: The y-axis origin point for placing the panel within the layout.
          minimum: 0
        height:
          type: integer
          description: >-
            The height of the panel. When not specified or set to 0, the height
            of the panel is calculated dynamically based on the panel type.
          minimum: 0
        width:
          type: integer
          description: >-
            The width of the panel. When not specified or set to 0, the width of
            the panel is calculated dynamically based on the panel type.
          minimum: 0
    BoardQueryVisualizationSettings:
      type: object
      description: >
        A map of values to control the display settings for the Query on the
        Board. Unspecified boolean values are assumed to be `false`. Unspecified
        integers are assumed to be `0`, unspecified arrays are assumed to be
        null and unspecified strings are assumed to be empty. This is
        incompatible with the `graph_settings` field.
      properties:
        hide_compare:
          type: boolean
          default: false
        hide_hovers:
          type: boolean
          default: false
        hide_markers:
          type: boolean
          default: false
        utc_xaxis:
          type: boolean
          default: false
        overlaid_charts:
          type: boolean
          default: false
        charts:
          type: array
          items:
            type: object
            properties:
              chart_index:
                type: integer
                default: 0
              chart_type:
                type: string
                enum:
                  - default
                  - line
                  - stacked
                  - stat
                  - tsbar
                  - cbar
                  - cpie
                default: default
              log_scale:
                type: boolean
                default: false
              omit_missing_values:
                type: boolean
                default: false
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: unknown API key - check your credentials
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/JSONAPIError'
    RateLimited:
      description: Rate Limit Exceeded
      headers:
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
        Ratelimit:
          $ref: '#/components/headers/RateLimit'
        RateLimitPolicy:
          $ref: '#/components/headers/RateLimitPolicy'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Rate Limited
        application/problem+json:
          schema:
            $ref: '#/components/schemas/DetailedError'
          example:
            status: 429
            type: https://api.honeycomb.io/problems/rate-limited
            title: You have exceeded your rate limit.
            error: You have exceeded your rate limit.
            detail: Please try again after 2025-02-01T15:23:12Z.
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/JSONAPIError'
          example:
            errors:
              - id: 06dcdd6508ca822f0e7e2bb4121c1f52
                code: rate-limited/may-retry
                title: request rate limit exceeded
                detail: Please try again after 2025-02-01T15:23:12Z.
    GenericError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````

Built with [Mintlify](https://mintlify.com).